# SlicedGetGlobalIndices

Gets the global indices for all the local entries

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode PETSCDM_DLLEXPORT SlicedGetGlobalIndices(Sliced slice,PetscInt *idx[])

Collective on Sliced

### Input Parameter

slice - the slice object

### Output Parameters

idx - the individual indices for each packed vector/array

### Notes

The idx parameters should be freed by the calling routine with PetscFree()

### See Also

SlicedDestroy(), SlicedCreateGlobalVector(), SlicedCreate()

Level:advanced
Location: src/dm/da/utils/sliced.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages